### Constructor

# GimpUi ImageComboBox new

#### Declaration [src]

    GtkWidget*
    gimp_image_combo_box_new (
      GimpImageConstraintFunc constraint,
      gpointer data,
      GDestroyNotify data_destroy
    )

#### Description [src]

Creates a new `GimpIntComboBox` filled with all currently opened images. If a `constraint` function is specified, it is called for each image and only if the function returns `TRUE`, the image is added to the combobox.

You should use `gimp_int_combo_box_connect()` to initialize and connect the combo. Use `gimp_int_combo_box_set_active()` to get the active image ID and `gimp_int_combo_box_get_active()` to retrieve the ID of the selected image.

Available since: | 2.2

#### Parameters

`constraint` | `GimpImageConstraintFunc`
| A `GimpImageConstraintFunc` or `NULL`.
| The argument can be `NULL`.
`data` | `gpointer`
| A pointer that is passed to `constraint`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`data_destroy` | `GDestroyNotify`
| Destroy function for `data`.

#### Return value

Returns: | `GtkWidget`
| A new `GimpIntComboBox`.
| The data is owned by the called function.